package com.soss.web.controller.coupon;


import com.soss.common.annotation.Log;
import com.soss.common.core.domain.AjaxResult;
import com.soss.common.enums.BusinessType;
import com.soss.system.domain.po.CouponPo;
import com.soss.system.service.ICouponUserService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 用户领取优惠券记录表 前端控制器
 * </p>
 *
 * @author caiyt
 * @since 2022-07-21
 */
@RestController
@RequestMapping("/coupon-user")
@Api(tags = "用户领取优惠券记录服务类")
public class CouponUserController {
    @Autowired
    private ICouponUserService couponUserService;

    /**
     * 赠送优惠券
     */
    @PreAuthorize("@ss.hasPermi('coupon:user:give')")
    @Log(title = "赠送优惠券", businessType = BusinessType.INSERT)
    @PutMapping("/{userId}/{userPhone}/{couponId}")
    @ApiOperation("赠送优惠券")
    public AjaxResult giveUserCoupon(@PathVariable Long userId, @PathVariable String userPhone, @PathVariable Integer couponId) {
        couponUserService.giveUserCoupon(userId, userPhone, couponId);
        return AjaxResult.success();
    }
}
